Arch Rebar Armature en L

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Rebar LShape and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente : Arch Rebar UShape.svg Armature en U
Page suivante : Armature cintrée Arch Rebar BentShape.svg Arrow-right.svg

Arch Rebar LShape.svg Arch Rebar Armature en L

Emplacement du menu
Arch → Rebar tools → LShape Rebar ou 3D/BIM → Reinforcement → LShape Rebar
Ateliers
Arch, BIM
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Reinforcement, Arch Armature personnalisée, Arch Armature cintrée


Description

L'outil LShape Rebar permet à l'utilisateur de créer un ensemble de barres d'armature en forme de L à l'intérieur d'un objet Arch Structure.

L'outil LShape Rebar est également intégré dans l'atelier BIM.

Cette commande fait partie de l'atelier Reinforcement, un atelier externe qui peut être installé avec AddonManager.svg Gestionnaire d'Addon via le menu Outils → Gestionnaire d'Addon → Reinforcement.

Arch Rebar LShape example.png

Quatre jeux de barres de renforcement en forme de L à l’intérieur d’une Arch Structure


Comment faire

  1. Sélectionnez n’importe quelle face d’un objet créé précédemment Arch Structure.svg Arch Structure.
  2. Ensuite, sélectionnez Arch Rebar LShape.svg LShape Rebar à partir des outils pour barres d'armature.
  3. Un Panneau des tâches apparaîtra sur le côté gauche de l'écran, comme indiqué ci-dessous.
  4. Sélectionnez l'orientation souhaitée.
  5. Remplissez les entrées telles que 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' et 'Diameter' of the rebar.
  6. Sélectionnez le mode de distribution 'Amount' ou 'Spacing'.
  7. Pick Selected Face (choisir la face sélectionnée) est utilisé pour vérifier ou modifier la face pour la distribution des barres.
  8. Cliquez sur OK ou Apply pour générer l'armature
  9. Cliquez sur Cancel pour quitter le panneau des tâches
LShapeDialog.png

Panneau d'affichage des tâches de l'outil Armature en L Arch


Propriétés

  • DonnéesOrientation: Il définit l'orientation de l'armature (comme fond, haut, droite et gauche).
  • DonnéesFront Cover: La distance entre l'armature et la face sélectionnée.
  • DonnéesRight Cover: La distance entre l'extrémité droite de l'armature et la face droite de la structure.
  • DonnéesLeft Cover: La distance entre l'extrémité gauche de l'armature et la face gauche de la structure.
  • DonnéesBottom Cover: La distance entre l'armature et la face inférieure de la structure.
  • DonnéesTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DonnéesRounding: Valeur d'arrondi à appliquer aux coins des barres, exprimée en fois le diamètre.
  • DonnéesAmount: La quantité de barres d'armature.
  • DonnéesSpacing: La distance entre les axes de chaque barre.

Script

Voir aussi: Arch API, API de renforts et FreeCAD Scripts de Base.

L'outil Armature en L peut être utilisé dans les macro et à partir de la console Python à l'aide de la fonction suivante:

Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom Left",
                        structure=None, facename=None):
  • Crée un objet Rebar à partir de la structure donnée, qui est une Arch Structure et facename qui est une face de cette structure.
    • Si aucune structure ni facename n'est donné, la face sélectionnée par l'utilisateur sera entrée.
  • f_cover, b_cover, l_cover, r_cover et t_cover sont des distances de décalage internes pour les éléments d'armature par rapport aux faces de la structure. Ce sont respectivement les décalages avant, inférieur, gauche, droit et supérieur.
  • diameter est le diamètre des barres de renforcement à l'intérieur de la structure.
  • rounding est le paramètre qui détermine le rayon de courbure des barres d'armature.
  • amount_spacing_check mis aà True, cela créera autant de barres d'armature que celles indiquées par amount_spacing_value; Si la valeur est False, des barres de ferraillage seront séparées par la valeur numérique de amount_spacing_value.
  • amount_spacing_value spécifie le nombre de barres d'armature ou la valeur de la séparation les séparant en fonction de amount_spacing_check.
  • orientation spécifie l'orientation de la barre; il peut s'agir de

"Bottom Right" (En bas à droite), "Bottom Left" (En bas à gauche), "Top Right" (En haut à droite), or "Top Left" (en haut à gauche).

Exemple

import FreeCAD, Arch, LShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = LShapeRebar.makeLShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom Left", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = LShapeRebar.makeLShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom Left", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Édition de la barre d’armement

Vous pouvez changer les propriétés de la barre d’armement avec la fonction suivante.

editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar est un objet LShapeRebar créé précédemment.
  • Les autres paramètres sont les mêmes que ceux requis par la fonction makeLShapeRebar().
  • structure et facename peuvent être omis afin que l'armature reste dans la structure d'origine.
import LShapeRebar

LShapeRebar.editLShapeRebar(Rebar, 50, 50, 20, 20,
                            12, 50, 6, True, 5, "Top Right")

LShapeRebar.editLShapeRebar(Rebar2, 50, 50, 20, 20,
                            12, 70, 6, True, 5, "Top Right")
Arrow-left.svg Page précédente : Arch Rebar UShape.svg Armature en U
Page suivante : Armature cintrée Arch Rebar BentShape.svg Arrow-right.svg